## org.eclipse.jst.jsf.designtime.symbols
Class FileContextUtil

    java.lang.Object
      org.eclipse.jst.jsf.designtime.symbols.FileContextUtil

    public final class FileContextUtil

extends java.lang.Object

Utility for deriving an IFile from an IAdaptable

Method Summary
`static IFile` `deriveIFileFromContext(IAdaptable context)`
`static IProject` `getProject(IStructuredDocumentContext context)` Convenience method for getting the IProject for a document context.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### deriveIFileFromContext

    public static IFile deriveIFileFromContext(IAdaptable context)

  Parameters:
    `context` -
  Returns:
    an IFile derived from context or null if not derivable

### getProject

    public static IProject getProject(IStructuredDocumentContext context)

  Convenience method for getting the IProject for a document context.

  Parameters:
    `context` -
  Returns:
    the project associated with context or null if can't be derived